Bug 169768 - Evolution authentication failure for password containing a +
Evolution authentication failure for password containing a +
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 09:54 EDT by Stuart Campbell
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Campbell 2005-10-03 09:54:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; (R1 1.5); .NET CLR 1.1.4322)

Description of problem:
When trying to setup my exchange account in evolution (as you do the first type you run it) I cannot authenticate against the server.

I can connect to the server using the same password using MS Outlook, OWA, Evolution 1.4 (RHEL3).

After some investigation it seems that if my password contains an + symbol then evolution (account wizard) will fail to authenticate me.  If not, all works ok.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC4
2. Set your exchange password to have a + in it
3. Start Evolution
4. Go through the add account wizard, select MS Exchange as your server
5. Click Authenticate.

  

Actual Results:  Authentication failure

Expected Results:  Authentication accepted

Additional info:
Comment 1 Dave Malcolm 2005-10-04 12:36:39 EDT
Thanks for this bug report.

To isolate the problem further, it will be useful to know what kind of
authentication is being tried.  What are the settings in use in Evolution 1.4 ?
Do you know if the server is using Forms Based Authentication?
Comment 2 Stuart Campbell 2005-10-05 07:06:03 EDT
The server is using Forms Based Authentication.

I should have also mentioned that Evolution 2.0 (RHEL4) also authenticates ok.

The settings for evolution 1.4 and 2.0...
Exchange Server:    exchangeserver.domainname
Windows Username:   username
Never Use SSL connection
Secure Password for authentication
Mailbox name:       username
OWA path:           /exchange
Public folder server: exchangeserver.domainname

The settings for evolution 2.2...
username:  domain\username
OWA:       https://owa.domainname
Comment 4 Matthew Barnes 2007-01-01 08:20:46 EST
Is this problem still present in Fedora Core 6 or later?
Comment 5 Matěj Cepl 2007-08-31 11:20:18 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 6 Matthew Barnes 2007-10-02 13:12:07 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.